aboutsummaryrefslogtreecommitdiffstats
path: root/debian/preinst
diff options
context:
space:
mode:
Diffstat (limited to '')
-rw-r--r--[-rwxr-xr-x]debian/preinst (renamed from build/apt/build/run.sh)10
1 files changed, 8 insertions, 2 deletions
diff --git a/build/apt/build/run.sh b/debian/preinst
index 1aa3954..ffced88 100755..100644
--- a/build/apt/build/run.sh
+++ b/debian/preinst
@@ -5,6 +5,7 @@
# Copyright (c) 2010 penSec.IT UG (haftungsbeschränkt)
# http://www.pensec.it
# mail@pensec.it
+# Copyright (c) 2010 Egil Möller <egil.moller@piratpartiet.se>
#
# Licensed under the Apache License, Version 2.0 (the "License"); you may not
# use this file except in compliance with the License. You may obtain a copy of
@@ -22,7 +23,12 @@
+set -e
+. /usr/share/debconf/confmodule
+if [ -n "$ETHERPAD_DEBUG" ]; then
+ echo "now debugging $0 $@"
+ set -x
+fi
-bash -c "`dirname $0`/run-local.sh" > "/var/log/etherpad/log" 2> "/var/log/etherpad/error"
-
+db_version 2.0